#!/usr/bin/perl

use warnings;
use strict;

use List::MoreUtils qw(uniq);

open MYDATA, "kegg2refseqnew.csv" or die("ERROR: Can't open kegg2refseqnew.csv at remove_duplicate_IDs.pl\n");
    my @kegg2reflines = <MYDATA>;
close MYDATA;

foreach my $line (@kegg2reflines) {
    chomp $line;
    my $switch = 0;
    my @split = split(/\s+/, $line);
    my %arr_counts;
    for (@split) { $arr_counts{$_}++ };
    foreach my $key (keys %arr_counts) {
        if($arr_counts{$key} > 1) {
            $switch = 1;
        }
    }
    unless($switch) {
        print $line . "\n";
    } else {
        my @uniqsplit = uniq(@split);
        my $keggid = shift(@uniqsplit);
        print "$keggid\t";
        print join(" ", @uniqsplit);
        print "\n";
    }
}
