# step 1
wget http://www.genome.jp/kegg/catalog/org_list.html
awk '/Prokaryotes/,0' org_list.html | grep "show_organism?org" | cut -d'>' -f3 | cut -f1 -d'<' > org_a
awk '/Prokaryotes/,0' org_list.html | grep ftp | cut -d'/' -f6 > org_b
paste org_a org_b | sort -k2 > org_list


# step 2
lftp -e 'open ftp://ftp.ncbi.nih.gov/genomes/Bacteria/; ls -d */*.rpt > refseq.rpt; bye'
awk '{print $9}' refseq.rpt | cut -f1 -d'.' | cut -f1 -d'/' > ref_a
awk '{print $9}' refseq.rpt | cut -f1 -d'.' | cut -f2 -d'/' > ref_b
paste ref_b ref_a | uniq -f1 | sort -k2 > ref_list

# step 3
join -j2 -t$'\t' org_list ref_list > kegg2refseq.txt
cat kegg2refseq.txt | cut -f2,3 > kegg_refseq.tmp

# step 4
wget ftp://ftp.ncbi.nih.gov/genomes/GENOME_REPORTS/prokaryotes.txt

# step 5
#run the perlscripts
../finish_kegg2ref.pl > kegg2refseqnew.csv #this script creates kegg2refseqnew.csv
../only_first_refid.pl > kegg2refseq.csv #this script creates kegg2refseq.csv
../find_non_ncbi_but_kegg_available_refseq.pl > non_ncbi_but_kegg.csv #this script tells you what is availabe in kegg but not yet updated in ncbi

# step 6
# remove duplicate RefSeq IDs from lines
../remove_duplicate_IDs.pl > kegg2refseqnewnodupes.csv
mv kegg2refseqnewnodupes.csv kegg2refseqnew.csv

# step 7
# make help list for webserver
echo -e "## last updated: \c" > Date.txt; date >> Date.txt
cat Date.txt ../head.txt > fullhead.txt
../fuse_kegg_orgname_refseqid.pl > kegg2refseqandorg.csv
cat fullhead.txt kegg2refseqandorg.csv > CopraRNA_available_organisms.txt

# note: NS_ locus tags are removed
